options ls=80 ps=500 obs=max nocenter ;




libname save '/bbkinghome/frandsen/RA_stuff/webpage/samesex';

data one;
set save.m_d_806;         ***> most recent ds ;
multi2nd=(ageq2nd=ageq3rd);
illegit=0;
if qtrmar>0 then do;
    qtrmar=qtrmar-1;
    if qtrbthm<=qtrmar then yom=yobm+agemar;
    else if qtrbthm>qtrmar then yom=yobm+agemar+1;
    dom_q = yom+(qtrmar/4);
    do1b_q = yobk+((qtrbkid)/4);
    if (dom_q-do1b_q)>0 then illegit=1;
end;
* construct the sexes of 1st two kids;
boy1st=(sexk=0);
boy2nd=(sex2nd=0);
boys2=((sexk=0) and (sex2nd=0));
girls2=((sexk=1) and (sex2nd=1));
samesex=((boys2=1) or (girls2=1));

morekids=kidcount>2;
length girls2 boys2 morekids samesex boy1st boy2nd 3;
label boy1st='first birth boy';
label samesex='first two kids are of same sex';
label morekids='had more than 2 kids';
label boys2='first two births boys';
label girls2='first two births girls';

* construct race indicators for mom and dad;
blackm=racem='02';
hispm=racem='12';
whitem=racem='01';
othracem=1-blackm-hispm-whitem;
length blackm othracem whitem hispm 3;

blackd=raced='02';
hispd=raced='12';
whited=raced='01';
othraced=1-blackd-hispd-whited;
length blackm othracem whitem hispm 3;

label blackm='=1 of black';
label hispm='=1 if hispanic';
label othracem='=1 if other race (white is ref)';
label blackd='=1 of black';
label hispd='=1 if hispanic';
label othraced='=1 if other race (white is ref)';

* educ stuff;

if fingradm=2 or fingradm=1 then educm=gradem-2;
else educm=gradem-3;
educm=max(0,educm);
label educm = 'moms educ';

hsgrad=(educm=12);
hsormore=(educm=>12);
moreths=(educm>12);

* get ages of mom and dad;
* plus ages when 1st kid was born;

agem1=agem*1;
aged1=aged*1;
length agem1 aged1 3;
label agem1='age in years of mom';
label aged1='age in years of dad';


if qtrbthd=0 then yobd=80-aged;
else yobd=79-aged;

ageqm=4*(80-yobm)-qtrbthm-1;
ageqd=4*(80-yobd)-qtrbthd;
agefstm=int((ageqm-ageqk)/4);
agefstd=int((ageqd-ageqk)/4);
length agefstd agefstm 3;
label agefstd='age of dad when kid first born';
label agefstm='age of mom when kid first born';

* calculate mom and dad labor supply variables;

weeksm1=weeksm*1;
weeksd1=weeksd*1;

workedm=weeksm>0;
workedd=weeksd>0;

hourswd=hoursd*1;
hourswm=hoursm*1;

incomed=income1d+max(0,income2d);
incomem=income1m+max(0,income2m);
** deflate wages **;
incomem=incomem*2.099173554;
incomed=incomed*2.099173554;

faminc1=faminc*1;
faminc1=faminc1*2.099173554;
famincl=log(max(faminc1,1));
nonmomi=faminc1-income1m*2.099173554;;
nonmomil=log(max(1,nonmomi));

label weeksm1='weeks worked mom';
label workedm='mom worked last year';
label weeksd1='weeks worked dad';
label workedd='dad worked last year';
label famincl='log family income';label agefstm='age of mom at first birth';
label nonmomi='income not generated by mom';
label incomed='dads labor income';
label incomem='moms labor income';
label faminc1='family income';
label hourswd='hours of work per week, dad';
label hourswm='hours of work per week, mom';
length incomem incomed faminc1 nonmomi 4
      workedm workedd weeksm1 weeksd1 hourswm hourswd 3 ;

*** compute age-corrected effects *****
 1. approx age of 3rd
 2. compute corrected morekids;

label ageq2nd='age of second kid in qtrs'
      ageqk='age of first kid in qtrs'
      ageq3rd='age of 3rd kid in qtrs'; 

*if morekids=0 then ageq3rdk=0;

morea3=morekids*ageq3rdk;


qobm=qtrbthm*1.;
const=1;
msample=0;
if 
  (aged ne .) and
  (timesmar=1) and
  (marital=0) and 
  (illegit=0) and
  (agefstd ge 15) and
  (agefstm ge 15) 
  then msample=1;

keep kidcount morekids boys2 girls2 boy1st samesex multi2nd agem agem1 agefstm
blackm hispm othracem workedm weeksm1 hourswm incomem faminc1 nonmomi
famincl nonmomil aged1 agefstd moreths boy2nd msample 
educm moreths hsormore hsgrad asex aage aqtrbrth asex2nd aage2nd
blackd hispd othraced workedd weeksd1 hourswd incomed marital
ageq2nd ageqk ageq3rd morea3 ageqm yobm qobm const;

run;

data twoa;
set one;
if 21<=agem1<=35 & kidcount>=2 & ageq2nd>4 & agefstm>=15 & 
 /*(agefstd>=15 | agefstd=.) & */ asex=0 & aage=0 & aqtrbrth=0 &
 asex2nd=0 & aage2nd=0 & aqtrbrth=0;
run;

proc means n mean std data=twoa;
title1 'means of full sample: table 2, column 1';
title2 '1980 pums';
var kidcount morekids boy1st boy2nd boys2 girls2 samesex multi2nd agem1 
aged1 agefstm agefstd workedm workedd weeksm1 weeksd1 hourswm hourswd 
incomem incomed faminc1 nonmomi;
run;

data twob;
set twoa;
if msample=1;
run;

proc means n mean std data=twob;
title1 'means of married sample: table 2, column 2';
title2 '1980 pums';
var kidcount morekids boy1st boy2nd boys2 girls2 samesex multi2nd agem1 
aged1 agefstm agefstd workedm workedd weeksm1 weeksd1 hourswm hourswd 
incomem incomed faminc1 nonmomi;
run;

/* Now generate Table 6 results */
proc syslin data=twoa;
title1 'Table 6, col (1)';
model morekids=samesex;
run;

proc syslin data=twoa;
title1 'Table 6, col (2)';
model morekids=boy1st boy2nd samesex agem1 agefstm blackm hispm othracem;
run;

proc syslin data=twoa;
title1 'Table 6, col (3)';
model morekids=boy1st boys2 girls2 agem1 agefstm blackm hispm othracem;
run;

proc syslin data=twob;
title1 'Table 6, col (4)';
model morekids=samesex;
run;

proc syslin data=twob;
title1 'Table 6, col (5)';
model morekids=boy1st boy2nd samesex agem1 agefstm blackm hispm othracem;
run;

proc syslin data=twob;
title1 'Table 6, col (6)';
model morekids=boy1st boys2 girls2 agem1 agefstm blackm hispm othracem;
run;

/* Now generate Table 7 results */
proc syslin data=twoa;
title 'Table 7, col (1)';
instruments samesex 
            agem1 agefstm boy1st boy2nd blackm hispm othracem;
endogenous workedm weeksm1 hourswm incomem morekids;
model workedm=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model weeksm1=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model hourswm=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model incomem=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model famincl=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
run;			  

proc syslin 2sls data=twoa;
title 'Table 7, col (2)';
instruments samesex 
            agem1 agefstm boy1st boy2nd blackm hispm othracem;
endogenous workedm weeksm1 hourswm incomem morekids;
model workedm=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model weeksm1=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model hourswm=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model incomem=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model famincl=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
run;			  

proc syslin 2sls data=twoa;
title 'Table 7, col (3)';
instruments boys2 girls2 
            agem1 agefstm boy1st boy2nd blackm hispm othracem;
endogenous workedm weeksm1 hourswm incomem morekids;
model workedm=morekids   
              agem1 agefstm boy1st blackm hispm othracem;
model weeksm1=morekids   
              agem1 agefstm boy1st blackm hispm othracem;
model hourswm=morekids   
              agem1 agefstm boy1st blackm hispm othracem;
model incomem=morekids   
              agem1 agefstm boy1st blackm hispm othracem;
model famincl=morekids   
              agem1 agefstm boy1st blackm hispm othracem;
run;			  

proc syslin data=twob;
title 'Table 7, col (4)';
instruments samesex 
            agem1 agefstm boy1st boy2nd blackm hispm othracem;
endogenous workedm weeksm1 hourswm incomem morekids;
model workedm=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model weeksm1=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model hourswm=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model incomem=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model famincl=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model nonmomil=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;			  
run;			  

proc syslin 2sls data=twob;
title 'Table 7, col (5)';
instruments samesex 
            agem1 agefstm boy1st boy2nd blackm hispm othracem;
endogenous workedm weeksm1 hourswm incomem morekids;
model workedm=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model weeksm1=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model hourswm=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model incomem=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model famincl=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;
model nonmomil=morekids   
              agem1 agefstm boy1st boy2nd blackm hispm othracem;			  			  
run;			  

proc syslin 2sls data=twob;
title 'Table 7, col (6)';
instruments boys2 girls2 
            agem1 agefstm boy1st boy2nd blackm hispm othracem;
endogenous workedm weeksm1 hourswm incomem morekids;
model workedm=morekids   
              agem1 agefstm boy1st blackm hispm othracem;
model weeksm1=morekids   
              agem1 agefstm boy1st blackm hispm othracem;
model hourswm=morekids   
              agem1 agefstm boy1st blackm hispm othracem;
model incomem=morekids   
              agem1 agefstm boy1st blackm hispm othracem;
model famincl=morekids   
              agem1 agefstm boy1st blackm hispm othracem;
model nonmomil=morekids   
              agem1 agefstm boy1st blackm hispm othracem;			  			  
run;			  